Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.gui
Enum QMovie.MovieState

    java.lang.Object
      java.lang.Enum<QMovie.MovieState>
          com.trolltech.qt.gui.QMovie.MovieState

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<QMovie.MovieState>

Enclosing class:
  QMovie

    public static enum QMovie.MovieState

extends java.lang.Enum<QMovie.MovieState>
implements QtEnumerator

This enum describes the different states of `QMovie`.

Enum Constant Summary
`NotRunning` The movie is not running.
`Paused` The movie is paused, and `QMovie` stops emitting `updated` or `resized`.
`Running` The movie is running.

Method Summary
`static QMovie.MovieState` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QMovie.MovieState` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QMovie.MovieState[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### NotRunning

    public static final QMovie.MovieState NotRunning

  The movie is not running. This is `QMovie`'s initial state, and the state it enters after `stop` has been called or the movie is finished.

### Paused

    public static final QMovie.MovieState Paused

  The movie is paused, and `QMovie` stops emitting `updated` or `resized`. This state is entered after calling pause() or `setPaused`(true). The current frame number it kept, and the movie will continue with the next frame when unpause() or `setPaused`(false) is called.

### Running

    public static final QMovie.MovieState Running

  The movie is running.

Method Detail

### values

    public static final QMovie.MovieState[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QMovie.MovieState c : QMovie.MovieState.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QMovie.MovieState valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QMovie.MovieState resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD